Bug 24181 - Improve the display of our datepickers
Summary: Improve the display of our datepickers
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 23956
Blocks: 24363
  Show dependency treegraph
 
Reported: 2019-12-05 15:27 UTC by Jonathan Druart
Modified: 2020-05-20 10:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24181: Make our datepicker inputs sexy (2.06 KB, patch)
2019-12-05 15:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24181: Move the icon back into the input (782 bytes, patch)
2019-12-05 15:33 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24181: Make our datepicker inputs sexy (2.38 KB, patch)
2019-12-10 11:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24181: Move the icon back into the input (782 bytes, patch)
2019-12-10 11:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24181: Make our datepicker inputs sexy (2.43 KB, patch)
2019-12-10 17:19 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24181: Move the icon back into the input (837 bytes, patch)
2019-12-10 17:20 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 24181: Make our datepicker inputs sexy (2.49 KB, patch)
2019-12-22 20:06 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24181: Move the icon back into the input (895 bytes, patch)
2019-12-22 20:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2019-12-05 15:27:33 UTC

    
Comment 1 Jonathan Druart 2019-12-05 15:29:52 UTC
Created attachment 96044 [details] [review]
Bug 24181: Make our datepicker inputs sexy

They are skinny and different from others.
Not that a problem, I am too.
But I do not think it is what they need.

Test plan:
Edit a patron and take a look at the input for "Date of birth"
=> Before this patch they are not looking great
=> After this patch they are beautiful
Comment 2 Jonathan Druart 2019-12-05 15:33:19 UTC
Created attachment 96045 [details] [review]
Bug 24181: Move the icon back into the input
Comment 3 Jonathan Druart 2019-12-05 15:34:50 UTC
Before: https://snipboard.io/zOPV4F.jpg
After:  https://snipboard.io/U4xVrq.jpg
Comment 4 Lucas Gass 2019-12-05 17:29:06 UTC
Hey Jonathan,

I applied this patch and ran yarn build, it looks sexy in Chrome but not in FF as the calendar icon is doubling up.


FireFox: https://snipboard.io/jxb7z6.jpg
Chrome: https://snipboard.io/R6bjuS.jpg
Comment 5 Owen Leonard 2019-12-07 01:15:56 UTC
Jonathan did you see Bug 23956? I do like the "After" screenshot.
Comment 6 Jonathan Druart 2019-12-10 11:35:38 UTC
Created attachment 96143 [details] [review]
Bug 24181: Make our datepicker inputs sexy

They are skinny and different from others.
Not that a problem, I am too.
But I do not think it is what they need.

Test plan:
Edit a patron and take a look at the input for "Date of birth"
=> Before this patch they are not looking great
=> After this patch they are beautiful
Comment 7 Jonathan Druart 2019-12-10 11:35:41 UTC
Created attachment 96144 [details] [review]
Bug 24181: Move the icon back into the input
Comment 8 Jonathan Druart 2019-12-10 11:36:34 UTC
(In reply to Lucas Gass from comment #4)
> Hey Jonathan,
> 
> I applied this patch and ran yarn build, it looks sexy in Chrome but not in
> FF as the calendar icon is doubling up.
> 
> 
> FireFox: https://snipboard.io/jxb7z6.jpg
> Chrome: https://snipboard.io/R6bjuS.jpg

Hi Lucas,
I did not recreate, I am using Firefox. Maybe a cache issue?

(In reply to Owen Leonard from comment #5)
> Jonathan did you see Bug 23956? I do like the "After" screenshot.

I did not! Rebased on top of it.
Comment 9 Lucas Gass 2019-12-10 17:19:58 UTC
Created attachment 96168 [details] [review]
Bug 24181: Make our datepicker inputs sexy

They are skinny and different from others.
Not that a problem, I am too.
But I do not think it is what they need.

Test plan:
Edit a patron and take a look at the input for "Date of birth"
=> Before this patch they are not looking great
=> After this patch they are beautiful

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 10 Lucas Gass 2019-12-10 17:20:13 UTC
Created attachment 96169 [details] [review]
Bug 24181: Move the icon back into the input

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 11 Lucas Gass 2019-12-10 17:22:14 UTC
Not sure if it was a caching issue or not, but when I applied both patches and ran yarn build everything looks great so I am signing off.
Comment 12 Katrin Fischer 2019-12-22 20:06:14 UTC
Created attachment 96581 [details] [review]
Bug 24181: Make our datepicker inputs sexy

They are skinny and different from others.
Not that a problem, I am too.
But I do not think it is what they need.

Test plan:
Edit a patron and take a look at the input for "Date of birth"
=> Before this patch they are not looking great
=> After this patch they are beautiful

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2019-12-22 20:06:17 UTC
Created attachment 96582 [details] [review]
Bug 24181: Move the icon back into the input

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Martin Renvoize 2020-01-03 15:53:43 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 15 Caroline Cyr La Rose 2020-01-07 13:48:23 UTC
The calendar icon in additem looks weird... see bug #24363
Comment 16 Caroline Cyr La Rose 2020-01-07 18:00:10 UTC
I was going through all the datepickers and found one that is still thinner, in checkexpiration.pl
Comment 17 Joy Nelson 2020-01-14 00:40:11 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 18 Katrin Fischer 2020-01-14 06:48:47 UTC
(In reply to Joy Nelson from comment #17)
> Pushed to 19.11.x branch for 19.11.02

Hi Joy, there is a lot of issues with this one still - I think it's not fit for stable yet.
Comment 19 Lucas Gass 2020-01-15 21:45:45 UTC
Choosing to skip this enhancement in 19.05.x, no backport
Comment 20 Joy Nelson 2020-01-21 20:07:51 UTC
Reverted from 19.11.x branch until more fixes available.